## org.eclipse.emf.compare.ui
Interface ICompareInputDetailsProvider

    public interface ICompareInputDetailsProvider

This interface is responsible for providing compared resources to the EMF Compare core.

Since:
  1.1

Method Summary
`org.eclipse.emf.ecore.resource.Resource` `getAncestorResource()` Returns the compared resources ancestor.
`org.eclipse.compare.structuremergeviewer.ICompareInput` `getCompareInput()` Returns the compare input we've initially been fed.
`org.eclipse.emf.ecore.resource.Resource` `getLeftResource()` Returns the left compared resource.
`org.eclipse.emf.ecore.resource.Resource` `getRightResource()` Returns the right compared resource.

Method Detail

### getLeftResource

    org.eclipse.emf.ecore.resource.Resource getLeftResource()

  Returns the left compared resource.

  Returns:
    The left compared resource.

### getRightResource

    org.eclipse.emf.ecore.resource.Resource getRightResource()

  Returns the right compared resource.

  Returns:
    The right compared resource.

### getAncestorResource

    org.eclipse.emf.ecore.resource.Resource getAncestorResource()

  Returns the compared resources ancestor.

  Returns:
    The compared resources ancestor.

### getCompareInput

    org.eclipse.compare.structuremergeviewer.ICompareInput getCompareInput()

  Returns the compare input we've initially been fed.

  Returns:
    The initial compare input.

Copyright 2006 IBM Corporation and others. All Rights Reserved.